Subject: Re: Emacs in Cygwin
From: [email-masked] (David Robinow)
To: [email-masked]
Cc: [email-masked] (S Gupta)
Date: Wed, 12 Feb 2003 07:36:06 -0500

S Gupta <[email-masked]> wrote:

>I am at home now, and if I have my display environment
>variable set to:  ${HOST}:0.0 or :0
>and if I have the program "Cygwin/XFree86 rl" open in
>the background, emacs opens up in the XFree program
>and not the current window. (If I do not have the
>XFree program open, then I get an error saying I can't
>connect to X server)

 This is expected behavior.  This has been discussed many times before. It should be in the archives.
>
>For some reason the above only works in tcsh; the
>other shells all seem to open up emacs in the same
>window.
  You probably have an emacs function defined in a shell startup file (e.g. ~/.bashrc).  Examples have been posted here several times.

>Does anyone know what causes the cygwin emacs to open
>up in XFree instead of the current window?
 That's how it's compiled.
>
>It has stopped doing this on my computer at work (I
>think it was a result of my reinstalling cygwin emacs
>or maybe something else that got changed in the
>process of running the cygwin setup), and I'm
>wondering what has to be changed so it does it again.

 Include "tty" in your CYGWIN environment variable.
 Type "emacs -nw" instead of "emacs"

 

__________________________________________________________________
The NEW Netscape 7.0 browser is now available. Upgrade now! http://channels.netscape.com/ns/browsers/download.jsp 

Get your own FREE, personal Netscape Mail account today at http://webmail.netscape.com/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/